<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import AppPanelViewBase from './app-panel-view-base.vue';

import view_panel from '@widgets/app/app-panel-view-panel/app-panel-view-panel.vue';
@Component({
    components: {
        view_panel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class AppPanelView extends AppPanelViewBase {

}
</script>